
TYPO3.Flow - Bug # 37648

Status: Resolved Priority: Should have
Author: Krzysztof Daniel Category: - Documentation -
Created: 2012-05-31 Assigned To: Karsten Dambekalns
Updated: 2012-06-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 beta 3
Subject: Examples for Objects.yaml to change the class are not valid
Description

You can see in documentation: http://flow3.typo3.org/documentation/guide/partiii/objectmanagement.html

Example: Objects.yaml file for object replacement:
// Change the name of the class which
  // represents the object MyCompany\MyPackage\Greeter
MyCompany\MyPackage\Greeter:
  className: TYPO3\OtherPackage\GreeterWithCompliments

If you do that you have an exception that className parameter works only with Interfaces (Flow 1.1)

Associated revisions
Revision dc396d0b - 2012-06-26 10:32 - Karsten Dambekalns

[BUGFIX] Fix Objects.yaml className example in guide

The guide still stated that setting className in Objects.yaml
was possible for classes, but it works only for interfaces.

Change-Id: I8114f09647deaea5df1303fe5b33c11f5b807358
Fixes: #37648
Releases: 1.1, 1.2

Revision 3de0e728 - 2012-06-26 11:26 - Karsten Dambekalns

[BUGFIX] Fix Objects.yaml className example in guide

The guide still stated that setting className in Objects.yaml
was possible for classes, but it works only for interfaces.

Change-Id: I8114f09647deaea5df1303fe5b33c11f5b807358
Fixes: #37648
Releases: 1.1, 1.2

History
#1 - 2012-06-21 12:15 - Karsten Dambekalns
- Project changed from Documentation to TYPO3.Flow
#2 - 2012-06-21 12:16 - Karsten Dambekalns
- Category set to - Documentation -
- Target version set to 1.1
- Has patch set to No
- Affected Flow version set to FLOW3 1.1.0 beta 3

#3 - 2012-06-25 17:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12356

#4 - 2012-06-25 17:48 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#5 - 2012-06-26 10:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12356

#6 - 2012-06-26 11:26 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12372

#7 - 2012-06-26 11:28 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
